<!doctype html>
<html lang="en">
<head>
    <meta charset="UTF-8">
    <meta name="viewport"
          content="width=device-width, user-scalable=no, initial-scale=1.0, maximum-scale=1.0, minimum-scale=1.0">
    <meta http-equiv="X-UA-Compatible" content="ie=edge">
    <title>Ramda</title>
    <link rel="icon" href="img/kozel.svg">
    <link rel="stylesheet" href="./css/reset.css">
    <link rel="stylesheet" href="./css/style.css">
    <link href="https://fonts.googleapis.com/css?family=Roboto&display=swap" rel="stylesheet">
</head>
<body>
<main>
    <header class="header-container">
        <a href="#" class="header-logo">Ra<span class="blue-colored-text">mda.js</span></a>
        <nav class="navbar-container">
            <a href="#" class="navbar-link navbar-1st-item-specifics">Functional Programming</a>
            <a href="#" class="navbar-link navbar-2nd-item-specifics">Ramda</a>
            <a href="#" class="navbar-link navbar-3rd-item-specifics">Fantasy Land Spec</a>
            <a href="#" class="navbar-link navbar-4th-item-specifics">Node.js for all</a>
        </nav>
    </header>
    <aside class="sidebar-container">
        <div class="sidebar-menu">
            <a href="#" class="sidebar-menu-item">Ramda</a>
            <a href="#" class="sidebar-menu-item">Why Ramda?</a>
            <a href="#" class="sidebar-menu-item">What's Different?</a>
            <a href="#" class="sidebar-menu-item">Introductions</a>
            <a href="#" class="sidebar-menu-item">Philosophy</a>
        </div>
    </aside>
    <section class="content-container">
        <section class="article-illustration-container">
            <span class="article-illustration-align-helper"></span>
            <img src="./img/kozel.svg" alt="Article illustration" class="article-illustration-image">
        </section>
        <article class="article-text">Lorem ipsum — классическая панграмма, условный, зачастую бессмысленный
            текст-заполнитель, вставляемый в макет страницы. Используется в качестве заполнителя по крайней мере с XVI
            века. Является искажённым отрывком из философского трактата Марка Туллия Цицерона «О пределах добра и зла»,
            написанного в 45 году до н. э. на латинском языке, обнаружение сходства атрибутируется Ричарду МакКлинтоку.
        </article>
        <article class="article-text">Lorem ipsum dolor sit amet, consectetur adipiscing elit, sed do eiusmod tempor
            incididunt ut labore et dolore magna aliqua. Ut enim ad minim veniam, quis nostrud exercitation ullamco
            laboris nisi ut aliquip ex ea commodo consequat. Duis aute irure dolor in reprehenderit in voluptate velit
            esse cillum dolore eu fugiat nulla pariatur. Excepteur sint occaecat cupidatat non proident, sunt in culpa
            qui officia deserunt mollit anim id est laborum.
        </article>
    </section>
    <footer class="footer-container">
        <section class="footer-navigation-container">
            <a href="#" class="footer-navigations-link">Ramda</a>
            <a href="#" class="footer-navigations-link">Why Ramda?</a>
            <a href="#" class="footer-navigations-link">What's Different?</a>
            <a href="#" class="footer-navigations-link">Introductions</a>
            <a href="#" class="footer-navigations-link">Philosophy</a>
        </section>
        <span class="footer-copyright-text">Copyright &#169; 2018</span>
    </footer>
</main>
</body>
</html>

<!--TODO: investigate why content shaking on refresh.-->